aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-10.13-x86_64
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-macos-10.13-x86_64')
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/01-increase_limits.sh44
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/26-p7zip.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/55-signtools.sh16
3 files changed, 53 insertions, 9 deletions
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/01-increase_limits.sh b/coin/provisioning/qtci-macos-10.13-x86_64/01-increase_limits.sh
new file mode 100755
index 00000000..c7bf7a88
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/01-increase_limits.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2019 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+
+set -ex
+
+
+PROVISION_DIR="$(dirname "$0")/.."
+export PROVISION_DIR
+
+
+. "$PROVISION_DIR"/common/macos/increase_limits.sh
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/26-p7zip.sh b/coin/provisioning/qtci-macos-10.13-x86_64/26-p7zip.sh
index 15511332..1138ad3f 100755
--- a/coin/provisioning/qtci-macos-10.13-x86_64/26-p7zip.sh
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/26-p7zip.sh
@@ -3,5 +3,5 @@
set -ex
-brew update
+
brew install p7zip
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/55-signtools.sh b/coin/provisioning/qtci-macos-10.13-x86_64/55-signtools.sh
index 0b8595a0..aa61f549 100755
--- a/coin/provisioning/qtci-macos-10.13-x86_64/55-signtools.sh
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/55-signtools.sh
@@ -114,15 +114,15 @@ sha1Ios="aae58d00d0a1b179a09f21cfc67f9d16fb95ff36"
{ Install "$cacheSigningTools/ios_password.txt" "$targetFolder/ios_password.txt" $sha1Ios; } 2> /dev/null
{ iosPassword=$(cat "$targetFolder/ios_password.txt"); } 2> /dev/null
-iPhoneDeveloper="iosdevelopment_2019.p12"
-shaIPhoneDeveloper="fbc89661c5295b4105f3890989a94c559ea4a61c"
-Install "$cacheSigningTools/latest_ios_cert/$iPhoneDeveloper" "$targetFolder/$iPhoneDeveloper" $shaIPhoneDeveloper
+iPhoneDeveloper="iosDevelopment2019CiTeam.p12"
+shaIPhoneDeveloper="fa22abe1b1cc64af6585f7a61c4aba5e00220bdc"
+Install "$cacheSigningTools/latest_ios_cert_2019/$iPhoneDeveloper" "$targetFolder/$iPhoneDeveloper" $shaIPhoneDeveloper
echo "Importing $iPhoneDeveloper.."
{ security import $targetFolder/$iPhoneDeveloper -k $loginKeychain* -P "$iosPassword" -T /usr/bin/codesign; } 2> /dev/null
-iPhoneDistribution="iosdistribution_2019.p12"
-shaIPhoneDistribution="f306102f9e18e2074a7b655a9b151ce69c95baac"
-Install "$cacheSigningTools/latest_ios_cert/$iPhoneDistribution" "$targetFolder/$iPhoneDistribution" $shaIPhoneDistribution
+iPhoneDistribution="iosDistribution2019CiTeam.p12"
+shaIPhoneDistribution="6510119651c7aecb21d0a1dae329f2eae1e8f4e9"
+Install "$cacheSigningTools/latest_ios_cert_2019/$iPhoneDistribution" "$targetFolder/$iPhoneDistribution" $shaIPhoneDistribution
echo "Importing $iPhoneDistribution.."
{ security import "$targetFolder/$iPhoneDistribution" -k $loginKeychain* -P "$iosPassword" -T /usr/bin/codesign; } 2> /dev/null
@@ -130,8 +130,8 @@ echo "Importing $iPhoneDistribution.."
echo "Creating directory $targetFolder/Library/MobileDevice/Provisioning Profiles.."
mkdir "$targetFolder/Library/MobileDevice"
mkdir "$targetFolder/Library/MobileDevice/Provisioning Profiles"
-shaMobileprovision="88c67c95a6f59e6463a00da0b5021f581db624bf"
-Install "$cacheSigningTools/latest_ios_cert/iOS_Dev08112017.mobileprovision" "$targetFolder/Library/MobileDevice/Provisioning Profiles/iOS_Dev08112017.mobileprovision" $shaMobileprovision
+shaMobileprovision="477a7f3876c4333bd56a045df0d82fce795b1ebb"
+Install "$cacheSigningTools/latest_ios_cert_2019/iOS_Dev_2019_citeam.mobileprovision" "$targetFolder/Library/MobileDevice/Provisioning Profiles/iOS_Dev08112017.mobileprovision" $shaMobileprovision
# Removing password files
rm -fr "$targetFolder/login_keychain_password.txt"